Fly.io
Platform

Get Placements

View as Markdown

Simulates placing the specified number of machines into regions, depending on available capacity and limits.

POST
/platform/placements

Simulates placing the specified number of machines into regions, depending on available capacity and limits.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Request Body

application/json

Get placements request

compute?

Resource requirements for the Machine to simulate. Defaults to a performance-1x machine

count?integer

Number of machines to simulate placement. Defaults to 0, which returns the org-specific limit for each region.

org_slug*string
region?string

Region expression for placement as a comma-delimited set of regions or aliases. Defaults to "[region],any", to prefer the API endpoint's local region with any other region as fallback.

volume_name?string
volume_size_bytes?integer
weights?

Optional weights to override default placement preferences.

Response Body

application/json

curl -X POST "https://example.com/platform/placements" \  -H "Content-Type: application/json" \  -d '{    "org_slug": "personal"  }'
{  "regions": [    {      "concurrency": 0,      "count": 0,      "region": "string"    }  ]}